%define major 2
%define old_libname %mklibname -d %{name}_ 0
%define old_staticname %mklibname -s -d %{name}_ 0

%define libname %mklibname faad %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name

Name:           faad2
Version:        2.7
Release:        %mkrel 7
Epoch:          1
Summary:        Freeware Advanced Audio Decoder version 2
Source0:        http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.bz2
Patch1:		faad2-2.7-automake-1.13.patch
URL:            http://www.audiocoding.com
License:        GPLv2
Group:          Sound/Utilities
BuildRequires:  dos2unix
BuildRequires:  automake

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

%package -n %libname
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries
Obsoletes:      %{_lib}faad2_2 < %epoch:%version-%release

%description -n %libname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %develname
Summary:        Freeware Advanced Audio Decoder development files
Group:          Development/C++
Requires:       %libname = %epoch:%version
Provides:       lib%{name}-devel  = %epoch:%version-%release
Obsoletes:      %{old_libname} < %{version}-%{release}

%description -n %develname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the C++ headers needed to build programs with
libfaad.

%package -n %staticname
Summary:        Freeware Advanced Audio Decoder static libraries
Group:          Development/C++
Requires:       %develname = %epoch:%version
Provides:       lib%{name}-static-devel  = %epoch:%version-%release
Obsoletes:      %{old_staticname}  < %{version}-%{release}

%description -n %staticname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the static libraries needed to build programs
with libfaad.

%prep
%setup -q
dos2unix configure.in frontend/main.c common/mp4ff/mp4ffint.h common/mp4ff/Makefile.am
chmod 644 AUTHORS README TODO NEWS ChangeLog plugins/xmms/README
%patch1 -p1 -b .automake-1_13

%build
export CFLAGS="%optflags -fPIC -DPIC"
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

#gw rename it to a more standard name
mkdir -p %buildroot%_mandir/man1
mv %buildroot%_mandir/manm/faad.man %buildroot%_mandir/man1/faad.1

%files
%doc README NEWS TODO AUTHORS ChangeLog
%_bindir/faad
%_mandir/man1/faad.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaad.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libfaad.so
%_includedir/*

%files -n %staticname
%defattr(-,root,root)
%_libdir/libfaad.a
%_libdir/libmp4ff.a


%changelog
* Thu Oct 31 2013 tmb <tmb> 1:2.7-7.mga4
+ Revision: 548171
- Mageia 4 rebuild

* Fri Jan 11 2013 cjw <cjw> 1:2.7-6.mga3.tainted
+ Revision: 350166
- patch1: fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 barjac <barjac> 1:2.7-5.mga3.tainted
+ Revision: 324475
- Change group to new policy

* Fri Mar 23 2012 fwang <fwang> 1:2.7-4.mga2.tainted
+ Revision: 225817
- it seems that the needed files are already installed

* Fri Mar 23 2012 fwang <fwang> 1:2.7-3.mga2.tainted
+ Revision: 225813
- force reconf
- specify cflags with env
- drop .la files
- cleanup unused switches
- drop unneeded br

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 1:2.7-2.mga1
+ Revision: 88284
- imported package faad2

